BOOT-REPAIR(8)

NAME
Boot-Repair - Graphical tool to repair boot problems

SYNOPSIS
boot-repair

DESCRIPTION
In some situation, you might loose access to one or several of your operating systems, because of a buggy update, a bootloader problem, or after installing a new OS (e.g. installing Windows breaks Linux bootloader).
Boot-Repair is a graphical tool that will repair these problems, generally by reinstalling GRUB, which then restores access to the operating systems you had installed before the issue.
Boot-Repair also has advanced options for reinstalling GRUB, adding kernel options, or restoring a generic MBR.

OPTIONS FOR TERMINAL MODE

-b / --bootinfo
    returns the boot-info report in terminal mode

--esp
    returns basic information about ESP on the system

--no-filter
    contents of the boot-info report is not filtered

-t=XX
    displays latest XX lines of common logs of linux distributions installed on the system

-u / --bootinfo-url
    returns pastebin URL leading to the boot-info report

-v / --version
    displays the version

ADVANCED OPTIONS

-y / --force-yes
    assumes answer yes to all questions, to be used in combination with --bootinfo or --bootinfo-url

--g2s-debug
    displays commands sent to the glade2script GUI engine, can be combined with --debug

-d / --debug
    debug mode, can be combined with --g2s-debug

--python2
    uses glade2script-python2 GUI engine instead of glade2script-python3

AUTHORS
Yann MRN <yannubuntu@protonmail.com>

SEE ALSO
https://sourceforge.net/p/boot-repair